Subject: Re: [PATCH RFC v3 1/5] dt-bindings: clk: zte: Add zx297520v3 top clock and reset bindings.

From: Stefan Dösinger <[email-masked]>
Date: Tue, 2 Jun 2026 22:09:57 +0300

Hello Conor,

Thanks for the review!

> Am 29.05.2026 um 19:48 schrieb Conor Dooley <[email-masked]>:
> 
> These are not permitted in bindings, please remove them.
> Half the time they end up changing because people find other clocks, and
> they never actually get used in a dts. If you need the definitions, add
> them to the driver.

I changed the drivers to derive the number of clocks from the clock tables in the driver, as seen e.g. in mediatek clocks.

Before I resend with your suggestions and more Sashiko findings (that thing is good!): Do you have any advice on the questions I raised in my cover letter?

Cheers,
Stefan